import { NDKContext } from 'contexts/NDKContext'
import { useContext } from 'react'

export const useNDKContext = () => {
  const ndkContext = useContext(NDKContext)

  if (!ndkContext)
    throw new Error(
      'NDKContext should not be used in out component tree hierarchy'
    )

  const {
    ndk,
    fetchEvents,
    fetchEvent,
    fetchEventsFromUserRelays,
    fetchEventFromUserRelays,
    fetchMods,
    findMetadata
  } = ndkContext

  return {
    ndk,
    fetchEvents,
    fetchEvent,
    fetchEventsFromUserRelays,
    fetchEventFromUserRelays,
    fetchMods,
    findMetadata
  }
}
